Subject: RE: Re[2]: Connector spec swathing

From: "Mikhail Khusid" <[email-masked]>
Date: Thu, 15 Jun 2000 14:28:49 -0400

Chris,

Whether a connector company can make a full matrix model of a connector
depends more on the connector than the tools.  In fact, if a connector is
complicated enough to warrant several L and C sections, and if a connector
has many pins, providing a full matrix model can be very unpractical.

As a representative of the connector company where a 570 pin connector
is considered a small one, I can assure you that it's impossible for me
to generate dozens of 570x570 matrices.  Furthermore, I doubt that any
simulator will be able to solve a problem with full matrices of that size.
Doing a swath method allows me to generate reasonable size matrices,
up to 30x30, which should respresent sufficient couplings inside
the connector, and thus is an effective way to simulate the connector
behavior in reasonable time.

Lastly, I agree with Kellee that a standard should probably include
a description of a "golden" way to generate a full matrix model out of a swath,
however, I would welcome simulator companies attempts to avoid using
this method for every connector.

Michael Khusid
Teradyne Connection Systems
http://www.teradyne.com

"Chris Rokusek" <[email-masked]> on 06/15/2000 12:27:55 PM

To:   "IBIS Mailing list" <[email-masked]>
cc:    (bcc: Mikhail Khusid/NNH/Teradyne)
Subject:  RE: Re[2]: Connector spec swathing

Gus,

Given that some companies actually do possess the tools to create Full
Matrix connectors (& packages) accurately and efficiently and given that
simulators MUST come up with algorithms to reduce this full matrix (perhaps
efficiently with an accuracy tradeoff), simulator companies are just trying
to avoid extra work in having to write two algorithms that do very similar
things--one to expand the swath to arbitrary pins and one to reduce the full
matrix to arbitrary pins.  Many of us prefer to solve the most
general/accurate problem first (Full Matrix).

I don't think we're saying "don't use the swath", I think all we're saying
is provide us with a recommended algorithm (and perhaps build it into the
parser) for expanding the swath into a full matrix so that each simulator
can potentially get the same answer for the most general case.  It seems
like that would keep everybody happy.

Chris Rokusek
Innoveda

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Thursday, June 15, 2000 4:37 AM
> To: fred
> Cc: Kellee Crisafulli; IBIS Mailing list
> Subject: Re[2]: Connector spec swathing
>
>
> Fred,
>
> I am sure that if you have this question, so do others... as such I have
> prepared a fairly lengthy reply.
>
> The "basic" answer to the question is...
>
> Find a FIELD simulator that can generate a 100 pin connector model from a
> connector with a general current path length of around 2.5cm.
>
> Make sure it is a true 3D simulator.
>
> OK... now find one that can do such using less than 8GB of RAM
> and 4 xxxx GHz.
> processors
>   -  This is pretty much what one might call a high end
> PC/Workstation.  Maybe
> even not "typical" hardware.
>
> OK...  Using what has been found above...  have the problem solve
> in the FIELD
> simulator in less than a week.  (BTW, a week is solve time, it
> does not include
> reports, empirical confirmation, or support documentation)
>
> OK...  now put that full matrix model that is generated into a circuit
> simulator....  Setup the rest of the problem....  go away for the
> weekend...
> comeback Monday....  still not done...  Comeback Wednesday...
> Ooopps  found out
> that a termination resistor was misplaced... restart the simulation.
>
>
> The point is...  connector companies would be perfectly happy with smaller
> models...
>
> But from what I have been told my customers which are the same as many SI
> simulators NEED to be able to model 50, 100, 200, 500, 1000, 5000
> pins... (Yes,
> these are all real connector sizes today).
>
>
> As a work around for this problem.... we suggest the preverbal
> "critical net
> analysis". Which will still take 8 hours to solve using something
> in the order
> of a 40 pin connector model.
>
> Also,  I as a connector manufacture make parts with different
> circuit sizes...
> sometime from 10 to 1000 in 10 pin increments...  OK... there we have 100
> models...  Lets say we just go up to 100 pins...  that is 10
> models... at 3 days
> AVERAGE per model (smaller models take less time)...  that means
> one month of
> FIELD SIMULATION time...  and we STILL  can not support any thing
> over 100 pins.
>
>
>  Not to mention that connector companies have about 40,000
> different product
> lines.. lets say conservatively that only 1% of the 40,000
> require models...
> That's 400.... a conservative estimate would be that there are 10
> circuit sizes
> for each of those 400 connectors...  as such 4,000 different
> models.  OF EACH
> Type.  There are three basic types Single Line models, MultiLine
> Models, and
> Cascaded Models...  then there are TWO VERSIONS of each type...
> distributed and
> lumped...  grand total 24,000 SPECIFIC models.
>
> But wait,  Now model makers and simulators also have to database
> and revision
> control the models.
>
> Point being...  an auto swath will give end uses access to more
> models with more
> pin options than they ever had before (to answer the customers
> requests). And
> GREATLY reduce the redundancies such that the 24,000 models above
> can be done in
> 1 model per connector family.. or 400 files.
>
>
> _gus: 630-527-4617
>
>
> ____________________Reply Separator____________________
> Subject:    Re: Connector spec swathing
> Author: fred <[email-masked]>
> Date:       6/15/00 1:33 AM
>
> I know the connector specification committee has spent much time
> and effort in
> comming up with the specification.  However the current swat
> matrix approach
> seems overly complicated and technically less than desirable.
> Why not give the
>
> full matrix and let the simulation SI tool decide which part of
> the matrix to
> choose
> for simulation based on what pin and coupling is desired. We (simulation
> vendors)
> only need the data. We can decide how and when to use what.  What
> we need is
> the committee to do is identify the connector pins to the matrix diagonal
> entrys. If
> the connector is very large in terms of number of pins then
> whether one gets a
> full
> or sparse matrix will depend on the field solver capabilities. This is not
> intended to
> be critical of the committee which has worked long and hard to
> come up with a
> spec
> in the first place while hence keeping everybody happy.
>
> Best Regards,
>
> Kellee Crisafulli wrote:
>
> > Hi Chris,<SNIP>
>

---

From: Bob Ross <[email-masked]>
Date: Thu, 15 Jun 2000 11:46:19 -0700

To All:

In response to a number of comments concerning algorithms for
processing swath matrices, here is an algorithm to map the
swath information into a larger swath or into the full-sized
connector.

The algorithm assumes that the internal connector coupling
topology is uniform for the internal structure of the connector
and that the left of center and right of center topologies of
the connector are the same as the corresponding left of center
and right of center topologies of the swath.

Because the IBIS matrices symmetrical about the diagonal
(circuit theory symmetry) the coupling topology is always from
a given pin looking forward.  The resulting connector matrix is
banded to the same bandwidth as the swath matrix (which itself
could have a bandwidth corresponding to its total number of pins
or less, depending on its coupling topology).

This approach could be also be used to map smaller Spice
netlists for swath sections into larger Spice netlists covering
more pins.

(Also, this approach could be generalized into a matrix
expansion language that accounts for non-uniform sections,
missing pins, cutout sections, but based on a set of "consistent"
swath matrices S1, S2, ... that describe the variations
from the standard standard Swath S, but the details and
requirements would have to be defined.)

Bob Ross
Mentor Graphics

SWATH MATRIX PINS = S
CONNECTOR MATRIX PINS = C

I. - One Dimensional Column Mapping: (Swath Rows = Connector Rows)

    Center column (or left of center for even number of columns)
    |
    |

S S S S S 
S S S S S
....
S S S S S

| | | | +---------------+
| | | +---------------+ |
| | +---------------+ | |
| | | | | | | ... | | | |

C C C C C C C ... C C C C
C C C C C C C ... C C C C
....
C C C C C C C ... C C C C

1 1 2 ............. 2 3 3 <--- Mapping Notes:

  1 - Direct Mapping of the Left Side Swath Coupling Topology
  2 - Center Swath Coupling Topology Column mapped into each connector 
      column, stepping one column at a time
  3 - Direct Mapping of the Right Side Swath Coupling Topology

II. - Two Dimensional Row and Column Mapping:  (Swath Rows less than
      Connector Rows)

Step 1. Create Temporary Swath with Same Number of Rows as Connector using
        Approach similar to I., but applied to Row Expansion (instead of
        Column Expansion).

Step 2. Use Temporary Swath for Column Expansion using Approach I.

---

From: "Chris Rokusek" <[email-masked]>
Date: Thu, 15 Jun 2000 12:04:45 -0700

Mikkail,

Did I say you should directly provide a full matrix?  Absolutely not.  My
original request that started this whole thread is simply that the mapping
from swath to full matrix to be clearly defined and perhaps provided by the
parser.

Repeated:  I am not saying "Don't use the swath" !!!

Chris Rokusek
Innoveda

> From: Mikhail Khusid [mailto:[email-masked]]
> Sent: Thursday, June 15, 2000 11:29 AM
> To: Chris Rokusek
> Cc: IBIS Mailing list
<snip>